#!/bin/bash
#
# chkconfig: S 41 0
#
# Turns the red LED on if ethernet iface is down

case "$1" in
    start|restart)
    ip link show eth0 | grep -q '<\(\|[^<>]*,\)UP\(\|,[^<>]*\)>'
    if [ $? -ne 0 ]; then
	echo -n "Turning red LED on, ethernet interface is down"
	echo red on > /sys/devices/system/leds/leds0/event
	echo "."
    fi
    ;;
    stop|reload|force-reload)
    ;;
esac

