<?php
/*
 * Created on 6 Aug 2007 
 * By julien reichel <julien.reichel@spinetix.com>
 */
$title="Storage";
include ("prolog.php");

function isMounted($dir) {
     $mount=file_get_contents("/proc/mounts");
     $mounts=explode("\n",$mount);
     foreach ($mounts as $mount){
	  $info=preg_split("/\s/",$mount);
	  if ($info[1]==$dir)
	       return TRUE;
     }
     return FALSE;
}

function printUsageTable($path) {
     $info=exec('df -B 1048576 -P '.$path);
	
	$spaces=preg_split("@\s+@",$info);
	
	$avail=$spaces[3];
    $used=$spaces[2];
    $tot=$spaces[1];

     echo "<table>\n";
     echo "<tr><td>Free space: </td><td>".htmlspecialchars($spaces[3])." Mbytes. </td></tr>\n";
     echo "<tr><td>Used space: </td><td>".htmlspecialchars($spaces[2])." Mbytes. </td></tr>\n";
     echo "<tr><td>Total space: </td><td>".htmlspecialchars($spaces[1])." Mbytes.</td></tr>\n";
     echo "</table>\n";
}

$path=realPath("../content");
$isContentNotInternal = isMounted($path);

echo "<h2>System</h2>\n";
printUsageTable("/");

if ($isContentNotInternal)
     echo "<h2>Local Storage on USB</h2>\n";
else
     echo "<h2>Local Storage on Internal Storage</h2>\n";
printUsageTable($path);

$path="/srv/.shadow-raperca";
if ($isContentNotInternal && isMounted($path)) {
     echo "<h2>Internal Storage</h2>\n";
     printUsageTable($path);
}

echo "<h2>Local Storage Access</h2>\n";
echo "Server address: \n";
echo "<a href='http://".$_SERVER['SERVER_ADDR'].":81/'>http://".$_SERVER['SERVER_ADDR'].":81/</a><br/><br/>\n";
echo "The server supports the <a href='http://en.wikipedia.org/wiki/WebDAV'>WebDAV</a> protocol for content management.<br/><br/>\n";
/*
echo "<h2>Browsing Window</h2><br/>\n";

echo "<iframe height='600' width='550' src='http://".$_SERVER['SERVER_ADDR'].":81/'></iframe>\n";
*/ 
include ("final.php");
?>
